Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::Ret_Fixed_Size_Argument_T< S > Class Template Reference

Template class for return stub value of fixed size IDL types. More...

`#include <Fixed_Size_Argument_T.h>`

Inheritance diagram for TAO::Ret_Fixed_Size_Argument_T< S >:

[legend]
Collaboration diagram for TAO::Ret_Fixed_Size_Argument_T< S >:

[legend]
List of all members.

## Public Methods

| Ret_Fixed_Size_Argument_T (void)
virtual CORBA::Boolean | demarshal (TAO_InputCDR &)
virtual void | interceptor_result (CORBA::Any *)
S & | arg (void)
S | excp (void)
S | retn (void)

## Protected Attributes

S | x_

## Detailed Description

### template<typename S>
class TAO::Ret_Fixed_Size_Argument_T< S >

Template class for return stub value of fixed size IDL types.

## Constructor & Destructor Documentation

template<typename S>
ACE_INLINE TAO::Ret_Fixed_Size_Argument_T< S >::Ret_Fixed_Size_Argument_T | ( | void |  | ) |

## Member Function Documentation

template<typename S>
ACE_INLINE S & TAO::Ret_Fixed_Size_Argument_T< S >::arg | ( | void |  | ) |

template<typename S>
CORBA::Boolean TAO::Ret_Fixed_Size_Argument_T< S >::demarshal | ( | TAO_InputCDR & |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

template<typename S>
ACE_INLINE S TAO::Ret_Fixed_Size_Argument_T< S >::excp | ( | void |  | ) |

template<typename S>
void TAO::Ret_Fixed_Size_Argument_T< S >::interceptor_result | ( | CORBA::Any * |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

template<typename S>
ACE_INLINE S TAO::Ret_Fixed_Size_Argument_T< S >::retn | ( | void |  | ) |

## Member Data Documentation

template<typename S>
S TAO::Ret_Fixed_Size_Argument_T< S >::x_`[protected]`

The documentation for this class was generated from the following files:

- Fixed_Size_Argument_T.h
- Fixed_Size_Argument_T.cpp
- Fixed_Size_Argument_T.inl